classification
Title: Incorrect handling of PyObject_RichCompareBool() in the _zoneinfo module
Type: behavior Stage: patch review
Components: Extension Modules Versions: Python 3.10, Python 3.9
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, miss-islington, p-ganssle, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2021-02-04 23:48 by ZackerySpytz, last changed 2021-03-11 22:56 by ZackerySpytz.

Pull Requests
URL Status Linked Edit
PR 24450 merged ZackerySpytz, 2021-02-04 23:50
PR 24457 merged miss-islington, 2021-02-05 08:25
PR 24829 open ZackerySpytz, 2021-03-11 22:56
Messages (6)
msg386503 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2021-02-04 23:48
PyObject_RichCompareBool() returns -1 on error, but this case is not handled
by the find_in_strong_cache() function.
msg386517 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-02-05 08:25
New changeset effaec0bb54f381db8ccfa62514bc26b00946b40 by Zackery Spytz in branch 'master':
bpo-43132: Fix incorrect handling of PyObject_RichCompareBool() in _zoneinfo (GH-24450)
https://github.com/python/cpython/commit/effaec0bb54f381db8ccfa62514bc26b00946b40
msg386531 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-02-05 17:14
New changeset c8b4375fe1aca1188f57ecf482547abd77e3ef91 by Miss Islington (bot) in branch '3.9':
bpo-43132: Fix incorrect handling of PyObject_RichCompareBool() in _zoneinfo (GH-24450) (GH-24457)
https://github.com/python/cpython/commit/c8b4375fe1aca1188f57ecf482547abd77e3ef91
msg386535 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2021-02-05 18:00
Re-opening because this was merged without tests.

@ZackerySpytz would you mind adding tests to hit these error cases? I've spent some time satisfying myself that it's indeed possible, and I've detailed a general outline here: https://github.com/python/cpython/pull/24450#issuecomment-774190609
msg386548 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-02-06 07:23
Sorry, I thought I just forgot to close this issue.
msg386590 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2021-02-07 13:34
Okay, I will add some tests.
History
Date User Action Args
2021-03-11 22:56:35ZackerySpytzsetstage: needs patch -> patch review
pull_requests: + pull_request23593
2021-02-07 13:34:01ZackerySpytzsetmessages: + msg386590
2021-02-06 07:23:21serhiy.storchakasetstatus: closed -> open
resolution: fixed ->
messages: + msg386548

stage: resolved -> needs patch
2021-02-06 07:21:46serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2021-02-05 18:00:15p-gansslesetstatus: closed -> open

type: behavior

nosy: + p-ganssle
messages: + msg386535
resolution: fixed -> (no value)
stage: resolved -> needs patch
2021-02-05 17:14:11serhiy.storchakasetmessages: + msg386531
2021-02-05 17:14:02serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-02-05 08:25:47miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23255
2021-02-05 08:25:45serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg386517
2021-02-04 23:50:52ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request23251
2021-02-04 23:48:01ZackerySpytzcreate